<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="CountryListResponseData")
 * )
 */
class CountryListResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $countryID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $countryName;

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setCountryID($model->countryID);
        $instance->setCountryName($model->countryName);

        return $instance;
    }

    public function getCountryID() {
        return $this->countryID;
    }

    public function getCountryName() {
        return $this->countryName;
    }

    public function setCountryID($countryID) {
        $this->countryID = $countryID;
    }

    public function setCountryName($countryName) {
        $this->countryName = $countryName;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
