<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="GenerateTokenResponseData")
 * )
 */
class GenerateTokenResponseData {

    //put your code here
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $clientToken;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $ordHandling;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/FedexOptions") })
     * @var FedexOptions
     */
    private $fedexOptions;

    public function __construct() {
        
    }

    public function getClientToken() {
        return $this->clientToken;
    }

    public function setClientToken($clientToken) {
        $this->clientToken = $clientToken;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
