<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="GoShoppingArray")
 * )
 */
class GoShoppingArray {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $sectionID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $sectionName;
    
    /**
     * @SWG\Property(format="int32")
     * @var integer
     */
    private $isSubCategory;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/GoShoppingProductListResponseData") })
     * @var GoShoppingProductListResponseData
     */ 
    private $list = [];

    public function __construct() {
        
    }

    public function getSectionID() {
        return $this->sectionID;
    }

    public function getSectionName() {
        return $this->sectionName;
    }
    
    public function getIsSubCategory(){
        return $this->isSubCategory;
    }

    public function setSectionID($sectionID) {
        $this->sectionID = $sectionID;
    }

    public function setSectionName($sectionName) {
        $this->sectionName = $sectionName;
    }
    
    public function setIsSubCategory($isSubCategory){
        $this->isSubCategory = $isSubCategory;
    }

    public function showEverything() {
        return get_object_vars($this);
    } 
}
