<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="LoginResponseData")
 * )
 */
class LoginResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $clID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $clUserName;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $clEmail;

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setClID($model->clID);
        $instance->setClUserName($model->clUserName);
        $instance->setClEmail($model->clEmail);

        return $instance;
    }

    public function getClID() {
        return $this->clID;
    }

    public function getClUserName() {
        return $this->clUserName;
    }

    public function getClEmail() {
        return $this->clEmail;
    }

    public function setClID($clID) {
        $this->clID = $clID;
    }

    public function setClUserName($clUserName) {
        $this->clUserName = $clUserName;
    }

    public function setClEmail($clEmail) {
        $this->clEmail = $clEmail;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
