<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="NotificationListResponseData")
 * )
 */
class NotificationListResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var integer
     */
    private $iNotificationId;
    
    /**
     * @SWG\Property(format="int")
     * @var integer
     */
    private $tNotificationType;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $created_at;
    
    /**
     * @SWG\Property(format="int")
     * @var integer
     */
    private $tRead;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $vTitle;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $vText;
    
    /**
     * @SWG\Property(format="string")
     * @var ParametersResponseData
     */
    private $txParameters;


    public function __construct() {
        
    }

    public function getiNotificationId() {
        return $this->iNotificationId;
    }
    public function setINotificationId($iNotificationId) {
        $this->iNotificationId = $iNotificationId;
    }
    
    public function getTNotificationType() {
        return $this->tNotificationType;
    }
    public function setTNotificationType($tNotificationType) {
        $this->tNotificationType = $tNotificationType;
    }

    public function getCreated_at() {
        return $this->created_at;
    }
    public function setCreated_at($created_at) {
        $this->created_at = $created_at;
    }
    
    public function getTRead($tRead) {
        $this->tRead = $tRead;
    }
    public function setTRead($tRead) {
        $this->tRead = $tRead;
    }
    
    public function getImage($image) {
        $this->image = $image;
    }
    public function setImage($image) {
        $this->image = $image;
    }
    
    public function getVTitle($vTitle) {
        $this->vTitle = $vTitle;
    }
    public function setVTitle($vTitle) {
        $this->vTitle = $vTitle;
    }
    
    public function getVText($vText) {
        $this->vText = $vText;
    }
    public function setVText($vText) {
        $this->vText = $vText;
    }
}
