<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="PageResponseData")
 * )
 */
class PageResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $iPageId;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $vTitle;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $tDescription;

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setIPageId($model->iPageId);
        $instance->setVTitle($model->vTitle);
        $instance->setClEmail($model->tDescription);

        return $instance;
    }

    public function getIPageId() {
        return $this->iPageId;
    }

    public function getVTitle() {
        return $this->vTitle;
    }

    public function getTDescription() {
        return $this->tDescription;
    }

    public function setClID($clID) {
        $this->clID = $clID;
    }

    public function setVTitle($vTitle) {
        $this->vTitle = $vTitle;
    }

    public function setTDescription($tDescription) {
        $this->tDescription = $tDescription;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
