<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="ProductListResponseData")
 * )
 */
class ProductListResponseData {

    //put your code here
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pName;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pPrice;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pDescription;
    
    /**
     * @SWG\Property(format="int")
     * @var int
     */
    private $pDisplay;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $image;


    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setPID($model->pID);
        $instance->setPName($model->pName);
        $instance->setPPrice($model->pPrice);
        $instance->setPDescription($model->pDescription);
        $instance->setImage($model->image);

        return $instance;
    }

    public function getPID() {
        return $this->pID;
    }

    public function getPName() {
        return $this->pName;
    }

    public function getPPrice() {
        return $this->pPrice;
    }
    
    public function getPDescription($pDescription) {
        $this->pDescription = $pDescription;
    }
    
    public function getPDisplay($pDisplay) {
        $this->pDisplay = $pDisplay;
    }
    
    public function getImage($image) {
        $this->image = $image;
    }

    public function setPID($pID) {
        $this->pID = $pID;
    }
    

    public function setPName($pName) {
        $this->pName = $pName;
    }

    public function setPPrice($pPrice) {
        $this->pPrice = $pPrice;
    }
    
    public function setPDescription($pDescription) {
        $this->pDescription = $pDescription;
    }
    
    public function setPDisplay($pDisplay) {
        $this->pDisplay = $pDisplay;
    }
    
    public function setImage($image) {
        $this->image = $image;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
