<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="ProductOptionResponseData")
 * )
 */
class ProductOptionResponseData {

    //put your code here
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $optGrpID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $optGrpName;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/ProductOptionGroupResponseData") })
     * @var ProductOptionGroupResponseData
     */ 
    private $options = [];

    public function __construct() {
        
    }

    public function getOptGrpID() {
        return $this->optGrpID;
    }

    public function getOptGrpName() {
        return $this->optGrpName;
    }

    public function setOptGrpID($optGrpID) {
        $this->optGrpID = $optGrpID;
    }

    public function setOptGrpName($optGrpName) {
        $this->optGrpName = $optGrpName;
    }

    public function showEverything() {
        return get_object_vars($this);
    } 
}
