<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="QuotationOptionResponseData")
 * )
 */
class QuotationOptionResponseData {

    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $stateList;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $customMadeList;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $thicknessList;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $purchaseQtyList;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $purchaseFrequencyList;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $typeOfProductWantToProtect;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $forDomesticOrExport;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $preferredMethodOfCorrosionProtection;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/OptionListResponseData") })
     * @var OptionListResponseData
     */
    private $preferredMethodOfCorrosionProtection;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/SearchTypeData") })
     * @var SearchTypeData
     */
    private $searchType;
    
    public function __construct() {
        
    }

    public function showEverything() {
        return get_object_vars($this);
    } 
}
