<?php

class Authentication {

    public static function auth_user() {
        if (isset(getallheaders()['clID']) && trim(getallheaders()['clID']) != "" && getallheaders()['clID'] > 0) {
            //Id fetch from header
            $user_id = getallheaders()['clID'];
            //Check user exist or not
            $user = Customerlogin::find('first', [
                        'select' => "*",
                        'conditions' => [
                            'clID' => $user_id
                        ]
            ]);
            if (!empty($user)) {
                global $authuser;
                $authuser = $user;
                $response = ['status' => 200];
            } else {
                $response = ['status' => 401, 'message' => 'Unauthorized'];
            }
        } else {
            $response = ['status' => 401, 'message' => 'Unauthorized'];
        }
        return $response;
    }

    public static function getuser() {
        global $authuser;
        return $authuser;
    }

}
