<?php

use ActiveRecord\ConnectionManager;
use ActiveRecord\Model;

class Page extends Model {

    static $table_name = 'pages';

    public function get_page_content($post) {
        $page = Page::find('first', [
                    'select' => 'iPageId,vTitle,tDescription',
                    'conditions' => [
                        'vSlug' => $post['vSlug']
                    ]
        ]);

        if (!empty($page)) {
            $response = ['status' => true, 'message' => 'operation_success', 'data' => $page];
        } else {
            $response = ['status' => false, 'message' => 'invalid_page_slug'];
        }
        return $response;
    }

}
