<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="CartListMainResponse")
 * )
 */
class CartListMainResponse {

    //put your code here
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dSubTotal;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dShippingHandlingCharge;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dGrandTotal;
    
    /**
     * @SWG\Property(format="array")
     * @var CartListResponseData
     */
    private $cartList = [];

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setDSubTotal($model->dSubTotal);
        $instance->setDShippingHandlingCharge($model->dShippingHandlingCharge);
        $instance->setDGrandTotal($model->dGrandTotal);
        $instance->setCartList($model->cartList);

        return $instance;
    }

    public function getDSubTotal() {
        return $this->dSubTotal;
    }

    public function getDShippingHandlingCharge() {
        return $this->DShippingHandlingCharge;
    }

    public function getDGrandTotal() {
        return $this->dGrandTotal;
    }
    
    public function getCartList() {
        return $this->cartList;
    }
    
    public function setDSubTotal($dSubTotal) {
        $this->dSubTotal = $dSubTotal;
    }

    public function setDShippingHandlingCharge($dShippingHandlingCharge) {
        $this->dShippingHandlingCharge = $dShippingHandlingCharge;
    }

    public function setDGrandTotal($dGrandTotal) {
        $this->dGrandTotal = $dGrandTotal;
    }

    public function setCartList($cartList) {
        $this->cartList = $cartList;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
