<?php
class Mailtemplate {
    public static function forgotpasswordMail($params){
        $reset_url = LIVE_URL.'clientlogin.php?rst='.$params['clEmail'].'&rsk='.$params['clPW'];
        $html = '';
        $html .= 'We received a request to reset your password for your account at<br>';
        $html .= '<a href="'.LIVE_URL.'">'.LIVE_URL.'</a><br><br>';
        $html .= 'Please click on the link below to reset your password.<br>';
        $html .= '<a href="'.$reset_url.'">'.$reset_url.'</a><br><br>';
        $html .= 'If you received this email in error you need take no action.';
        
        return $html;
    }
    
    public static function customQuoteMail($post){
        $ip = Common::getUserIP();
        $datetime = date("F j, Y, g:i a T");
        $user_agent = $_SERVER['HTTP_USER_AGENT'];
            
        $html = '<html>
                        <body>
                            <b>To</b>: MobileQuotes<br><br>
                            <b>From</b>:
                            <br>First Name:' . $post['vFirstName'] . '<br>
                            Last Name: ' . $post['vLastName'] . '<br>
                            ' . $post['vEmail'] . '<br><br>
                            <b>Company Name</b><br>' . $post['vCompanyName'] . '<br><br>
                            <b>Street Address</b><br>' . $post['vStreetAddress'] . '<br><br>
                            <b>City</b><br>' . $post['vCity'] . '<br><br>
                            <b>State</b><br>' . $post['vState'] . '<br><br>
                            <b>Other State if Applicable</b><br>' . $post['vOtherState'] . '<br><br>
                            <b>Country</b><br>' . $post['vCountry'] . '<br><br>
                            <b>Other Country if Applicable</b><br>' . $post['vOtherCountry'] . '<br><br>
                            <b>Zip or Postal Code</b><br>' . $post['vZipCode'] . '<br><br>
                            <b>Custom Made</b><br>' . $post['vCustomMade'] . '<br><br>
                            <b>Dimensions in Inches</b><br>' . $post['vDimentions'] . '<br><br>
                            <b>Thickness if this is VCI Poly</b><br>' . $post['vThickness'] . '<br><br>
                            <b>Purchase Quantity</b><br>' . $post['vPurchaseQuantity'] . '<br><br>
                            <b>Purchase Frequency</b><br>' . $post['vPurchaseFrequency'] . '<br><br>
                            <b>Telephone</b><br>' . $post['vTelephone'] . '<br><br>
                            <b>Fax</b><br>' . $post['vFax'] . '<br><br>
                            <b>Message</b>:<br>' . $post['txMessage'] . '<br><br>

                            Sent from (ip address): ' . $ip . '
                            (' . $ip . ')<br>Date/Time: ' . $datetime . '<br>Coming
                            from (referer):
                            ' . LIVE_URL . 'custom-quote.php<br>Using
                            (user agent): ' . $user_agent . '<br><br>
                        </body>
                    </html>';
        
        return $html;
    }
    
    public function vciSelectionHelpMail($post){
        $ip = Common::getUserIP();
        $datetime = date("F j, Y, g:i a T");
        $user_agent = $_SERVER['HTTP_USER_AGENT'];
        
        $vName = (isset($post['vName'])) ? $post['vName'] : '';
        $vCompanyName = (isset($post[''])) ? $post[''] : '';
        $txStreetAddress = (isset($post['txStreetAddress'])) ? $post['txStreetAddress'] : '';
        $vCity = (isset($post['vCity'])) ? $post['vCity'] : '';
        $vState = (isset($post['vState'])) ? $post['vState'] : '';
        $vCountry = (isset($post['vCountry'])) ? $post['vCountry'] : '';
        $vZipCode = (isset($post['vZipCode'])) ? $post['vZipCode'] : '';
        $vTypeOfProductWantToProtect = (isset($post['vTypeOfProductWantToProtect'])) ? $post['vTypeOfProductWantToProtect'] : '';
        $vTermOfProtection = (isset($post['vTermOfProtection'])) ? $post['vTermOfProtection'] : '';
        $vIsThisForDomastic = (isset($post['vIsThisForDomastic'])) ? $post['vIsThisForDomastic'] : '';
        $txCurrentlyUsingVciProduct = (isset($post['txCurrentlyUsingVciProduct'])) ? $post['txCurrentlyUsingVciProduct'] : '';
        $vChecmicalOilPresent = (isset($post['vChecmicalOilPresent'])) ? $post['vChecmicalOilPresent'] : '';
        $vIsSurfaceDryAndClean = (isset($post['vIsSurfaceDryAndClean'])) ? $post['vIsSurfaceDryAndClean'] : '';
        $vSpecialTreatmentPresent = (isset($post['vSpecialTreatmentPresent'])) ? $post['vSpecialTreatmentPresent'] : '';
        $txSizeAndWeightOfProduct = (isset($post['txSizeAndWeightOfProduct'])) ? $post['txSizeAndWeightOfProduct'] : '';
        $vMethodOfCorrosionProtection = (isset($post['vMethodOfCorrosionProtection'])) ? $post['vMethodOfCorrosionProtection'] : '';
        $vPartsPerPackage = (isset($post['vPartsPerPackage'])) ? $post['vPartsPerPackage'] : '';
        $vTelephone = (isset($post['vTelephone'])) ? $post['vTelephone'] : '';
        $txAddress2 = (isset($post['txAddress2'])) ? $post['txAddress2'] : '';
        $vOtherState = (isset($post['vOtherState'])) ? $post['vOtherState'] : '';
        $vOtherCountry = (isset($post['vOtherCountry'])) ? $post['vOtherCountry'] : '';
        $txUnsatisfactoryCurrentMethod = (isset($post['txUnsatisfactoryCurrentMethod'])) ? $post['txUnsatisfactoryCurrentMethod'] : '';
        $vSubject = (isset($post['vSubject'])) ? $post['vSubject'] : '';
        $txAdditionalInformation = (isset($post['txAdditionalInformation'])) ? $post['txAdditionalInformation'] : '';
         
        $html = '<html>
                <body>
                    <b>To</b>: Webmaster<br><br>
                    <b>From</b>:<br>'.$vName.'<br><br>
                    <b>Company Name</b><br>'.$vCompanyName.'<br><br>
                    <b>Street Address</b><br>'.$txStreetAddress.'<br><br>
                    <b>Address2</b><br>'.$txAddress2.'<br><br>
                    <b>City</b><br>'.$vCity.'<br><br>
                    <b>State</b><br>'.$vState.'<br><br>
                    <b>Other State (if applicable)</b><br>'.$vOtherState.'<br><br>
                    <b>Country</b><br>'.$vCountry.'<br><br>
                    <b>Other Country (if applicable)</b><br>'.$vOtherCountry.'<br><br>
                    <b>Zip or Postal Code</b><br>'.$vZipCode.'<br><br>
                    <b>What type of products do you want to protect?</b><br>'.$vTypeOfProductWantToProtect.'<br><br>
                    <b>What is the term of protection required? (Days, Months or Years?)</b><br>'.$vTermOfProtection.'<br><br>
                    <b>Is this for domestic or export of the items?<br></b><br>'.$vIsThisForDomastic.'<br><br>
                    <b>How are you currently addressing your corrosion control requirements?<br>Are you currently using aVCI product?</b><br>'.$txCurrentlyUsingVciProduct.'<br><br>
                    <b>Are chemicals, oils or maching fluids present on the surface of the product?</b><br>'.$vChecmicalOilPresent.'<br><br>
                    <b>Is the metal surface dry and clean when packaged or shipped?</b><br>'.$vIsSurfaceDryAndClean.'<br><br>
                    <b>What is unsatisfactory about your current method of corrosion control?<br>Results?</b><br>'.$txUnsatisfactoryCurrentMethod.'<br><br>
                    <b>Are there any extreme conditions or special treatments present?</b><br>'.$vSpecialTreatmentPresent.'<br><br>
                    <b>What is the size and weight of the product(s) to be protected?</b><br>'.$txSizeAndWeightOfProduct.'<br><br>
                    <b>What is your preferred method of corrosion protection?</b><br>'.$vMethodOfCorrosionProtection.'<br><br>
                    <b>What is the estimated annual number of parts that need to be protected?<br> How many parts desired per package?  Per Pallet?</b><br>'.$vPartsPerPackage.'<br>
                    <br><b>Telephone</b><br>'.$vTelephone.'<br><br>
                    <b>Message</b>:<br>'.$txAdditionalInformation.'<br><br>
                    Sent from (ip address): '.$ip.' ('.$ip.')<br>
                    Date/Time: '.$datetime.'<br>
                    Coming from (referer): '.LIVE_URL.'/VCI-Selection2.html<br>
                    Using (user agent): '.$user_agent.'<br><br>
                </body>
            </html>';
        
        return $html;
    }
    
    public function vciSelectionConfirmation($post){
        $html = $post['vName'].' Your product selection help request has been sent to KPR Adcor Inc. If you do not hear back from us within 24 hours please call '.TOLLFREE_NO.' or re-send your email request.
            <br><br>
            
            <a href="'.LIVE_URL.'" target="_blank">KPR Adcor Inc. Store</a>&nbsp;
            <a href="mailto:'.SMTP_EMAIL.'" target="_blank">'.SMTP_EMAIL.'</a>
        ';
        return $html;
    }
    
    public function askQuestion($post){
        $html = '
                PID: '.$post['pID'].' - <a href="'.$post['link'].'">'.$post['pName'].'</a>.<br />
                Ask A Question: '.$post['vName'].'<br />
                '.$post['vEmail'].'<br />
                '.$post['txComment'].'<br /><br />
                ';
        return $html;
    }
    
    public function orderReceipt($post){
        
        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
            <html xmlns="http://www.w3.org/1999/xhtml">
               <head>
                  <style type="text/css">body{font-size:11px; font-family: Tahoma, Helvetica, Arial, Verdana}hr{height: 0;border-width: 1px 0 0 0;border-style: solid;border-color: #006AC8;}
                  </style>
               </head>
               <body class="receiptbody">
                  <p>
                     '.$post['date'].' &nbsp;
                  </p>
                  <p>
                     '.$post['ordName'].'
                  </p>
                  <p>
                     '.$post['ordID'].'
                     <br />
                     <br />
                  <p>
                  <table width="100%" border="0" cellspacing="1" cellpadding="3">
                     <tr>
                        <td valign="top" colspan="5">
                           <table width="100%" border="0" cellspacing="1" cellpadding="3">
                              <tr>
                                 <td valign="top"><strong>Order ID:</strong></td>
                                 <td valign="top">'.$post['ordID'].'</td>
                                 <td>&nbsp;</td>
                                 <td>&nbsp;</td>
                              </tr>
                              <tr>
                                 <td valign="top"><strong>Company Name:</strong></td>
                                 <td valign="top">'.$post['ordCompany'].'</td>
                              </tr>
                              <tr>
                                 <td valign="top" width="20%"><strong>Billing Address:</strong></td>
                                 <td valign="top">'.$post['ordName'].'<br />
                                    '.$post['ordAddress'].'<br />
                                    '.$post['ordCity'].', '.$post['ordState'].'<br />
                                    '.$post['ordZip'].'<br />
                                    '.$post['ordCountry'].'<br />
                                 </td>
                              </tr>
                              <tr>
                                 <td valign="top"><strong>(If ship collect) Courier<br/>Account and billing zip:</strong></td>
                                 <td valign="top">0</td>
                              </tr>
                              <tr>
                                 <td valign="top"><strong>Phone:</strong></td>
                                 <td valign="top">'.$post['ordPhone'].'</td>
                              </tr>
                              <tr>
                                 <td valign="top"><strong>Email:</strong></td>
                                 <td valign="top">'.$post['ordEmail'].'</td>
                              </tr>
                              <tr>
                                 <td valign="top"><strong>Shipping Method:</strong></td>
                                 <td valign="top">'.$post['ordShipCarrier'].'</td>
                              </tr>
                           </table>
                        </td>
                     </tr>
                     <tr>
                        <td align="center" colspan="5">
                           <hr class="receipthr" width="80%">
                        </td>
                     </tr>
                     <tr>
                        <td class="receiptheading" width="15%" height="25" align="left"><strong>Details</strong></td>
                        <td class="receiptheading" width="33%" height="25" align="left"><strong>Name</strong></td>
                        <td class="receiptheading" width="14%" height="25" align="right"><strong>Unit Price</strong></td>
                        <td class="receiptheading" width="14%" height="25" align="right"><strong>Quantity</strong></td>
                        <td class="receiptheading" width="14%" height="25" align="right"><strong>Total</strong></td>
                     </tr>';
                     
            
        if(!empty($post['cart']) && !empty($post['cart']['cartList'])){
            foreach ($post['cart']['cartList'] as $key => $val){
                $html .= '<tr>
                        <td class="cobhl receipthl" align="left" height="25"><strong>'.$val->cartProdID.'</strong></td>
                        <td class="cobhl receipthl" align="left">'.$val->cartProdName.'</td>
                        <td class="cobhl receipthl" align="right">'.$val->cartProdPrice.'</td>
                        <td class="cobhl receipthl" align="right">'.$val->cartQuantity.'</td>
                        <td class="cobhl receipthl" align="right">'.$val->dTotalPrice.'</td>
                     </tr>';
            }
        }
        
        $html .= '
                     <tr>
                        <td colspan="3">&nbsp;</td>
                        <td align="right"><strong>Sub Total:</strong></td>
                        <td align="right">'.$post['cart']['dSubTotal'].'</td>
                     </tr>
                     <tr>
                        <td colspan="3">&nbsp;</td>
                        <td align="right"><strong>Handling:</strong></td>
                        <td align="right">'.$post['cart']['dShippingHandlingCharge'].'</td>
                     </tr>
                     <tr>
                        <td colspan="3">&nbsp;</td>
                        <td class="cobhl receipthl" align="right"><strong>Grand Total USD:</strong></td>
                        <td class="cobhl receipthl" align="right">'.$post['cart']['dGrandTotal'].'</td>
                     </tr>
                     <tr>
                        <td align="center" colspan="5">&nbsp;</td>
                     </tr>
                  </table>
                  </p><br />
                  <br />
                  <br />
                  Click here to view the <a href="'.$post['view_status_url'].'">order status</a> page online.<br />
                  <br />
                  Thank you for your order.<br />
                  <br />
                  <br />
                  '.SITENAME_SHORT.'.&nbsp;&nbsp;Phone&nbsp;&nbsp;'.TOLLFREE_NO.'&nbsp;&nbsp;Fax&nbsp;'.FAX_NO.'&nbsp; <a href="mailto:'.CLIENT_EMAIL.'">'.CLIENT_EMAIL.'</a></p>
               </body>
            </html>';
        return $html;
    }
}