<?php
require_once 'PhpMailer.php';

class SendMailer {

    public function sendmail($to, $from, $from_name, $subject, $body, $bcc = "") {
        $mail = new PhpMailer();  // create a new object
        $mail->IsSMTP(); // enable SMTP
        $mail->SMTPDebug = 1;  // debugging: 1 = errors and messages, 2 = messages only
        $mail->SMTPAuth = true;  // authentication enabled
        $mail->SMTPSecure = 'ssl'; // secure transfer enabled REQUIRED for GMail (ssl or tls)
        $mail->Host = 'smtp.gmail.com';
        $mail->Port = 465;  // ssl = 465 or tls = 587
        $mail->Username = SMTP_EMAIL;
        $mail->ContentType = "text/html";
        $mail->Password = SMTP_PASSWORD;
        $mail->SMTPOptions = array(
            'ssl' => array(
                'verify_peer' => FALSE,
                'verify_peer_name' => FALSE
            )
        );
        $mail->SetFrom($from, $from_name);
        $mail->Subject = $subject;
        $mail->Body = $body;
        if (trim($bcc) != "") {
            $mail->AddBCC($bcc);
        }
        $mail->AddAddress($to);
        
        if (!$mail->Send()) {
            return $mail->ErrorInfo;
            return '';
        } else {
            return true;
        }
    }

}

?>