<?php

use Illuminate\Database\Eloquent\Model as Eloquent;
use Illuminate\Database\Capsule\Manager as DB;

class Address extends Eloquent {
    
    protected $table = 'address';
    protected $primaryKey = 'addID';
    public $timestamps = false;
    
    public function insertOrderAddress($post,$clID){
        $model = new Address();
        $model->addCustID = $clID;
        $model->addIsDefault = 0;
        $model->addName = $post['ordName'];
        $model->addAddress = $post['ordAddress'];
        $model->addCity = $post['ordCity'];
        $model->addState = $post['ordState'];
        $model->addZip = $post['ordZip'];
        $model->addCountry = $post['ordCountry'];
        $model->addPhone = $post['ordPhone'];
        $model->addShipFlags = $post['ordShipCarrier'];
        $model->addExtra1 = $post['ordCompany'];
        $model->addExtra2 = $post['ordShipCarrier'];
        $model->save();
        if($post->shipToDifferentAddress == 1){
            $_model = new Address();
            $_model->addCustID = $clID;
            $_model->addIsDefault = 0;
            $_model->addName = $post['ordShipName'];
            $_model->addAddress = $post['ordShipAddress'];
            $_model->addCity = $post['ordShipCity'];
            $_model->addState = $post['ordShipState'];
            $_model->addZip = $post['ordShipZip'];
            $_model->addCountry = $post['ordShipCountry'];
            $_model->addPhone = $post['ordShipPhone'];
            $_model->addShipFlags = $post['ordShipCarrier'];
            $_model->addExtra1 = $post['ordShipCompanyName'];
            $_model->addExtra2 = $post['ordShipBillingZip'];
            $_model->save();
        }
    }
}