<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="CartListMainResponse")
 * )
 */
class CartListMainResponse {

    //put your code here
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dSubTotal;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dShippingHandlingCharge;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dGrandTotal;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dGrandTotalWithoutShipping;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/CartListResponseData") })
     * @var CartListResponseData
     */  
    private $cartList = [];

    public function __construct() {
        
    }

    public function getDSubTotal() {
        return $this->dSubTotal;
    }

    public function getDShippingHandlingCharge() {
        return $this->DShippingHandlingCharge;
    }

    public function getDGrandTotal() {
        return $this->dGrandTotal;
    }
    
    public function getDGrandTotalWithoutShipping() {
        return $this->dGrandTotalWithoutShipping;
    }
    
    public function setDSubTotal($dSubTotal) {
        $this->dSubTotal = $dSubTotal;
    }

    public function setDShippingHandlingCharge($dShippingHandlingCharge) {
        $this->dShippingHandlingCharge = $dShippingHandlingCharge;
    }

    public function setDGrandTotal($dGrandTotal) {
        $this->dGrandTotal = $dGrandTotal;
    }
    
    public function setDGrandTotalWithoutShipping($dGrandTotalWithoutShipping) {
        $this->dGrandTotalWithoutShipping = $dGrandTotalWithoutShipping;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
