<?php

/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="CartListResponseData")
 * )
 */
class CartListResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $cartID;

    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $cartProdID;

    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $cartProdName;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $optionName;

    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $cartProdPrice;

    /**
     * @SWG\Property(format="int32")
     * @var int
     */
    private $cartQuantity;

    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $cartOrderID;

    /**
     * @SWG\Property(format="int32")
     * @var int
     */
    private $pExemptions;

    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $pWeight;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $imageSrc;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $dTotalPrice;

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setCartID($model->cartID);
        $instance->setCartProdID($model->cartProdID);
        $instance->setCartProdName($model->cartProdName);
        $instance->setCartProdPrice($model->cartProdPrice);
        $instance->setCartQuantity($model->cartQuantity);
        $instance->setCartOrderID($model->cartOrderID);
        $instance->setPExemptions($model->pExemptions);
        $instance->setPWeight($model->pWeight);
        $instance->setImageSrc($model->imageSrc);
        $instance->setDTotalPrice($model->dTotalPrice);
        
        return $instance;
    }

    public function getCartID() {
        return $this->cartID;
    }

    public function getCartProdID() {
        return $this->cartProdID;
    }

    public function getCartProdName() {
        return $this->cartProdName;
    }

    public function getCartProdPrice() {
        return $this->cartProdPrice;
    }

    public function getCartQuantity() {
        return $this->cartQuantity;
    }

    public function getCartOrderID() {
        return $this->cartOrderID;
    }

    public function getPExemptions() {
        return $this->pExemptions;
    }

    public function getPWeight() {
        return $this->pWeight;
    }
    
    public function getImageSrc(){
        return $this->imageSrc;
    }
    
    public function dTotalPrice(){
        return $this->dTotalPrice;
    }

    public function setCartID($cartID) {
        $this->cartID = $cartID;
    }

    public function setCartProdID($cartProdID) {
        $this->cartProdID = $cartProdID;
    }

    public function setCartProdName($cartProdName) {
        $this->cartProdName = $cartProdName;
    }

    public function setCartProdPrice($cartProdPrice) {
        $this->cartProdPrice = $cartProdPrice;
    }

    public function setCartQuantity($cartQuantity) {
        $this->cartQuantity = $cartQuantity;
    }

    public function setCartOrderID($cartOrderID) {
        $this->cartOrderID = $cartOrderID;
    }

    public function setPExemptions($pExemptions) {
        $this->pExemptions = $pExemptions;
    }
    
    public function setPWeight($pWeight){
        $this->pWeight = $pWeight;
    }
    
    public function setImageSrc($imageSrc){
        $this->imageSrc = $imageSrc;
    }
    
    public function setDTotalPrice($dTotalPrice){
        $this->dTotalPrice = $dTotalPrice;
    }

    public function showEverything() {
        return get_object_vars($this);
    }

}
