<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="NestedCategoryResponseData")
 * )
 */
class NestedCategoryResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $sectionID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $sectionName;
    
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $topSection;
    
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $rootSection;
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/NestedCategoryResponseData") })
     * @var NestedCategoryResponseData
     */
    private $sub_category = [];


    public function __construct() {
        
    }

    public function getSectionID() {
        return $this->sectionID;
    }

    public function getSectionName() {
        return $this->sectionName;
    }

    public function getTopSection() {
        return $this->topSection;
    }
    
    public function getRootSection($rootSection) {
        $this->rootSection;
    }

    public function setSectionID($sectionID) {
        $this->sectionID = $sectionID;
    }
    

    public function setSectionName($sectionName) {
        $this->sectionName = $sectionName;
    }

    public function setTopSection($topSection) {
        $this->topSection = $topSection;
    }
    
    public function setRootSection($rootSection) {
        $this->rootSection = $rootSection;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
