<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="NotificationListFinalResponse"))
 */
class NotificationListFinalResponse {
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $message;
    
    /**
     * @SWG\Property(format="integer")
     * @var integer
     */
    private $totalRecord;
    
    /**
     * @SWG\Property(format="integer")
     * @var integer
     */
    private $totalPage;
    
    /**
     * @SWG\Property(format="integer")
     * @var integer
     */
    private $nextPage;

    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/NotificationListResponseData") })
     * @var NotificationListResponseData
     */   
    private $data = [];

    public function __construct() {
        
    }
    
    public function getMessage() {
        return $this->message;
    }

    public function setMessage($message) {
        $this->message = $message;
    }

    public function getData() {
        return $this->data;
    }

    public function setData($data) {
        $this->data = $data;
    }
    
    public function getTotalRecord() {
        return $this->totalRecord;
    }

    public function setTotalRecord($totalRecord) {
        $this->totalRecord = $totalRecord;
    }
    
    public function getTotalPage() {
        return $this->totalPage;
    }

    public function setTotalPage($totalPage) {
        $this->totalPage = $totalPage;
    }
    
    public function getNextPage() {
        return $this->nextPage;
    }

    public function setNextPage($nextPage) {
        $this->nextPage = $nextPage;
    }
    //put your code here

    public function showEverything() {
        return get_object_vars($this);
    }

}
