<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="ProductDetailResponseData")
 * )
 */
class ProductDetailResponseData {

    //put your code here
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pName;
    
    /**
     * @SWG\Property(format="float")
     * @var float
     */
    private $pPrice;
    
    /**
     * @SWG\Property(format="int")
     * @var int
     */
    private $pDisplay;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pDescription;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $pLongdescription;

    /**
     * @SWG\Property(format="string")
     * @var ProductOptionResponseData
     */
    private $productOptions = [];
    
    /**
     * @SWG\Property(type="array", { @SWG\Items(ref="#/definitions/ProductImagesResponseData") })
     * @var ProductImagesResponseData
     */ 
    private $productImages = [];
    

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setPID($model->pID);
        $instance->setPName($model->pName);
        $instance->setPPrice($model->pPrice);
        $instance->setPDescription($model->pDescription);
        $instance->setPLongdescription($model->pLongdescription);

        return $instance;
    }

    public function getPID() {
        return $this->pID;
    }

    public function getPName() {
        return $this->pName;
    }

    public function getPPrice() {
        return $this->pPrice;
    }
    
    public function getPDisplay() {
        return $this->pDisplay;
    }
    
    public function getPDescription() {
        return $this->pDescription;
    }
    
    public function getPLongdescription(){
        return $this->pLongdescription;
    }

    public function setPID($pID) {
        $this->pID = $pID;
    }

    public function setPName($pName) {
        $this->clUserName = $clUserName;
    }

    public function setPPrice($pPrice) {
        $this->pPrice = $pPrice;
    }
    
    public function setPDisplay($pDisplay) {
        $this->pDisplay = $pDisplay;
    }
    
    public function setPDescription($pDescription) {
        $this->pDescription = $pDescription;
    }
    
    public function setPLongdescription($pLongdescription){
        $this->pLongdescription = $pLongdescription;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
