<?php
/**
 * @SWG\Definition(
 *   type="object",
 *   @SWG\Xml(name="SubCategoryListResponseData")
 * )
 */
class SubCategoryListResponseData {

    //put your code here
    /**
     * @SWG\Property(format="int64")
     * @var int
     */
    private $sectionID;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $sectionName;
    
    /**
     * @SWG\Property(format="string")
     * @var string
     */
    private $sectionImage;

    public function __construct() {
        
    }

    public static function withModel($model) {
        $instance = new self();

        $instance->setSectionID($model->sectionID);
        $instance->setSectionName($model->sectionName);
        $instance->setSectionImage($model->sectionImage);

        return $instance;
    }

    public function getSectionID() {
        return $this->sectionID;
    }

    public function getSectionName() {
        return $this->sectionName;
    }

    public function getSectionImage() {
        return $this->sectionImage;
    }

    public function setSectionID($sectionID) {
        $this->sectionID = $sectionID;
    }

    public function setSectionName($sectionName) {
        $this->sectionName = $sectionName;
    }

    public function setSectionImage($sectionImage) {
        $this->sectionImage = $sectionImage;
    }
    
    public function showEverything() {
        return get_object_vars($this);
    } 
}
